> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Overrides



## OpenAPI

````yaml api-reference/statsig_openapi.json get /console/v1/experiments/{id}/overrides
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/experiments/{id}/overrides:
    get:
      tags:
        - Experiments
      summary: Get Experiment Overrides
      parameters:
        - name: id
          required: true
          in: path
          description: id
          schema:
            type: string
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Get Experiment Overrides Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SingleDataResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/ExperimentOverridesDto'
                example:
                  message: Experiment Overrides read successfully.
                  data:
                    overrides:
                      - groupID: Control
                        name: a_gate
                        type: gate
                      - groupID: test
                        name: a_segment
                        type: segment
                    userIDOverrides:
                      - ids:
                          - updated_id_list
                        groupID: Control
                      - ids:
                          - updated_id_lists
                        groupID: Test
              example:
                message: Experiment Overrides read successfully.
                data:
                  overrides:
                    - groupID: Control
                      name: a_gate
                      type: gate
                    - groupID: test
                      name: a_segment
                      type: segment
                  userIDOverrides:
                    - ids:
                        - updated_id_list
                      groupID: Control
                    - ids:
                        - updated_id_lists
                      groupID: Test
        '401':
          description: >-
            This endpoint only accepts an active CONSOLE key, but an invalid key
            was sent. Key: console-xxxXXXxxxXXXxxx
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 401
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Invalid Endpoint:
                  value:
                    status: 401
                    message: >-
                      This endpoint only accepts an active CONSOLE key, but an
                      invalid key was sent. Key: console-xxxXXXxxxXXXxxx
        '404':
          description: Experiment not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 404
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Not Found:
                  value:
                    status: 404
                    message: Not Found. The requested resource could not be found.
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    SingleDataResponse:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          type: object
          description: A single result.
      required:
        - message
        - data
    ExperimentOverridesDto:
      type: object
      properties:
        overrides:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - gate
                  - segment
              id:
                type: string
                description: The id of the segment or gate
              groupID:
                type: string
                description: The experiment group which user will be forced into
            required:
              - type
              - id
              - groupID
          maxItems: 1000
          description: >-
            Array of experiment overrides, each specifying type, ID, and group
            ID.
        userIDOverrides:
          type: array
          items:
            type: object
            properties:
              groupID:
                type: string
                description: The experiment group the user will be forced into.
              ids:
                type: array
                items:
                  type: string
                maxItems: 1000
                description: >-
                  Array of user IDs to be assigned to the specified experiment
                  group.
              environment:
                type: string
                nullable: true
                description: >-
                  Optional environment designation (e.g., production, staging)
                  for the experiment.
              unitType:
                type: string
                nullable: true
                description: >-
                  Optional type of unit for the experiment, defining the scope
                  of the override.
            required:
              - groupID
              - ids
          description: >-
            Array of user ID overrides, specifying which users to force into
            experiment groups.
      required:
        - overrides
        - userIDOverrides
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````